package common.entity.npc;

import common.init.SpeciesRegistry;
import common.item.ItemStack;

public class CharacterInfo extends NpcInfo {
	public final boolean spawner;
	public final SpeciesInfo species;
	public final int color1;
	public final int color2;
	
	public CharacterInfo(SpeciesInfo species, Enum type, String name, String skin, String cape, Alignment align, float height, int color1, int color2, boolean spawner) {
		super(type, name, skin, cape, align, height, (ItemStack[])null);
		this.spawner = spawner;
		this.species = species;
		this.color1 = color1;
		this.color2 = color2;
		SpeciesRegistry.SKINS.put(skin, species.renderer);
		if(!cape.isEmpty())
			SpeciesRegistry.CAPES.add(cape);
	}
}
